summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.gitignore2
-rw-r--r--brother-brscan-skey/README1
-rw-r--r--brother-brscan-skey/brother-brscan-skey.SlackBuild98
-rw-r--r--brother-brscan-skey/brother-brscan-skey.info10
-rw-r--r--brother-brscan-skey/doinst.sh17
-rw-r--r--brother-brscan-skey/slack-desc19
6 files changed, 147 insertions, 0 deletions
diff --git a/.gitignore b/.gitignore
index 9881fec..011e545 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1 +1,3 @@
*.tar.*
+*.deb
+*.rpm
diff --git a/brother-brscan-skey/README b/brother-brscan-skey/README
new file mode 100644
index 0000000..4b31591
--- /dev/null
+++ b/brother-brscan-skey/README
@@ -0,0 +1 @@
+With this tool, you can start a scan by the button on the machine.
diff --git a/brother-brscan-skey/brother-brscan-skey.SlackBuild b/brother-brscan-skey/brother-brscan-skey.SlackBuild
new file mode 100644
index 0000000..41fcbb4
--- /dev/null
+++ b/brother-brscan-skey/brother-brscan-skey.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/bash
+
+# Slackware build script for brother-brscan-skey
+
+# Copyright 2026 Eugene Wissner, Mannheim, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Based upon the brother-brscan4 script written by Shahab Vahedi.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=brother-brscan-skey
+VERSION=${VERSION:-0.3.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+case "$ARCH" in
+ x86_64)
+ LIBDIRSUFFIX="64"
+ PKGARCH="amd64"
+ ;;
+ i?86)
+ LIBDIRSUFFIX=""
+ PKGARCH="i386"
+ ;;
+ *)
+ echo "Only x86 architectures are supported."
+ exit 1
+ ;;
+esac
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/brscan-skey-${VERSION}-*.${PKGARCH}.deb data.tar.xz | tar Jxv
+
+INST_OPT=opt/brother/scanner/brscan-skey
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p usr/bin
+ln -s /opt/brother/scanner/brscan-skey/brscan-skey usr/bin/brscan-skey
+
+mkdir -p usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > usr/doc/$PRGNAM-$VERSION/README.maintainer
+cat $CWD/$PRGNAM.SlackBuild > usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Don't clobber the config file
+mv $PKG/opt/brother/scanner/brscan-skey/brscan-snmp.cfg \
+ $PKG/opt/brother/scanner/brscan-skey/brscan-snmp.cfg.new
+
+mkdir -p install
+cat $CWD/slack-desc > install/slack-desc
+cat $CWD/doinst.sh > install/doinst.sh
+
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/brother-brscan-skey/brother-brscan-skey.info b/brother-brscan-skey/brother-brscan-skey.info
new file mode 100644
index 0000000..c0d05df
--- /dev/null
+++ b/brother-brscan-skey/brother-brscan-skey.info
@@ -0,0 +1,10 @@
+PRGNAM="brother-brscan-skey"
+VERSION="0.3.4"
+HOMEPAGE="https://support.brother.com"
+DOWNLOAD="https://download.brother.com/welcome/dlf006651/brscan-skey-0.3.4-0.i386.deb"
+MD5SUM="59b2c7e52fb8292f544282810146c3dd"
+DOWNLOAD_x86_64="https://download.brother.com/welcome/dlf006652/brscan-skey-0.3.4-0.amd64.deb"
+MD5SUM_x86_64="7a50265f3bdb828bd4baee62b5973708"
+REQUIRES=""
+MAINTAINER="Eugene Wissner"
+EMAIL="belka@caraus.de"
diff --git a/brother-brscan-skey/doinst.sh b/brother-brscan-skey/doinst.sh
new file mode 100644
index 0000000..340031a
--- /dev/null
+++ b/brother-brscan-skey/doinst.sh
@@ -0,0 +1,17 @@
+###############
+# Config file #
+###############
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config opt/brother/scanner/brscan-skey/brscan-snmp.cfg.new
diff --git a/brother-brscan-skey/slack-desc b/brother-brscan-skey/slack-desc
new file mode 100644
index 0000000..e9eabf6
--- /dev/null
+++ b/brother-brscan-skey/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+brother-brscan-skey: brother-brscan-skey (Brother Scan-key-tool)
+brother-brscan-skey:
+brother-brscan-skey: With this tool, you can start a scan by the button on the machine.
+brother-brscan-skey:
+brother-brscan-skey:
+brother-brscan-skey:
+brother-brscan-skey:
+brother-brscan-skey:
+brother-brscan-skey:
+brother-brscan-skey:
+brother-brscan-skey: